<?php $areas = $gotd_areas = Model_Statistics::getAllAreas();
	$filtered_areas = array(45, 17, 19, 44, 18, 20, 21, 22, 24, 25, 26, 23);
	// Removing base city from add areas list
	foreach($areas as $i => $area) {
		if(!in_array($area->id, $filtered_areas)){
			unset($areas[$i]);	
		}
	}
	
	$gotdAreas = array_values($areas);

	foreach($areas as $i => $area) {
		if ( $area->id == $this->escort['base_city_id'] ) {
			unset($areas[$i]);
		}
	}
	
	$additionalAreas = array_values($areas);

	$package_queue = null;
	$current_user = Model_Users::getCurrent();
	if ( $current_user['user_type'] == 'escort' ) {
		$escort = $current_user->getEscort();
		$package_queue = Cubix_Api::getInstance()->call('escorts.getActivePackagesExpiration', array($escort->id));
	}

	$config_agencies = Zend_Registry::get('agencies_config');
	$agency_escorts_perpage = 5 * 5;
?>




<script>
var headerVars = {
currentUser	: <?= json_encode($current_user) ?>,
packageQueue : <?= json_encode($package_queue) ?>,
tUsername	: "<?= __('username') ?>",
tPassword	: "<?= __('password') ?>",
sessionId	: "<?= session_id() ?>"
};
</script>



<?php $this->headScript()->appendFile(_st('popup.js'));?>
<?php $this->headLink()->appendStylesheet(_st('online-billing/online-billing-v4.css?v=25')) ?>
<?php $this->headScript()->prependFile(_st('online-billing/online-billing-v4-agency.js?v=474'), 'text/javascript'); ?>
<?php $this->headScript()->appendFile('/index/js-init?&view=private&lang=' . $this->lang()); ?>
<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-T8Gy5hrqNKT+hzMclPo118YTQO6cYprQmhrYwIiQ/3axmI1hQomh7Ud2hPOy8SP1" crossorigin="anonymous">

<form method="post" action="<?= $this->getLink('online-billing-v3-select-escort') ?>">
	<input type="hidden" name="escort_id" id="escort-id" value=""/>
	<input type="hidden" name="pay_for_gotd" id="pay-for-gotd" value="0"/>
</form>

<input type="hidden" id="gotdPrice" value="<?= $this->gotd_price ?>"/>
<input type="hidden" id="gotdCryptoPrice" value="<?= $this->gotd_crypto_price ?>"/>
<input type="hidden" id="votdPrice" value="<?= $this->votd_price ?>"/>
<input type="hidden" id="votdCryptoPrice" value="<?= $this->votd_crypto_price ?>"/>
<input type="hidden" id="isRequestGotd" value="<?= $this->gotd ? 1 : 0 ?>"/>
<input type="hidden" id="isRequestVotd" value="<?= $this->votd ? 1 : 0 ?>"/>
<input type="hidden" id="escortAreas" value='<?= json_encode($gotdAreas,JSON_HEX_APOS) ?>'/>
<input type="hidden" id="escortAdditionalAreas" value='<?= json_encode($additionalAreas,JSON_HEX_APOS) ?>'/>
<input type="hidden" id="gotdBookedDays" value='<?= json_encode($this->booked_days); ?>'/>
<input type="hidden" id="votdBookedDays" value='<?= json_encode($this->votd_booked_days); ?>'/>
<input type="hidden" id="addAreaPrice" value="<?= $this->add_area_price ?>"/>

<div class="form online-billing-agency" id="sp-container">

<div class="sp-title-container">
	<h1><?= __('ob4_select_escort_title') ?></h1>
</div>

<div class="container">
<div class="big-loader"></div>
<p class="sp-desc">
	<?= __('ob4_select_escort_desc') ?>
</p>

<p class="title"><?= __('sc3_select_product') ?></p>
<p class="title-add"><?= __('ob4_select_escort_ad_type') ?></p>
<div class="clear"></div>



	<?php if ( $this->allow_buy_package ): ?>
		<div class="sp-pass-packages" id="packagesWrapper">
			<?php if($this->gotd || $this->votd): ?>
				<div class="gotd-overlay"></div>
			<?php endif; ?>
			<ul>
				<?php foreach($this->day_passes_list as $i => $package): ?>
				<li class="package-block" data-name="<?= __('ob4_selected_escort_package_' . $package['id'] . '_name') ?>" 
					data-price="<?= $package['price'] ?>"
					data-crypto-price="<?= $package['crypto_price'] ?>" 
					data-id="<?= $package['id'] ?>" 
					data-duration="<?= $package['period'] ?>"
				>
					<div class="sp-package-info">
						<div class="sp-package-img">
							<span class="sp-package-img-dur">
								<?= __('ob4_select_escort_dur_' . $package['id']) ?>
							</span>
						</div>
						<div class="sp-package-name">
							<?= __('ob4_select_escort_package_' . $package['id'] . '_name') ?>
						</div>
						<div class="sp-package-duriation">
							<?= __('ob4_select_escort_package_' . $package['id'] . '_desc') ?>
						</div>
						<div class="package-overlay"></div>
						<a href="javascript:void(0)" class="package-checkbox"></a>
					</div>
					<div class="sp-package-info-add">
						<p class="price sp-package-price">CHF <?= number_format($package['price'], 2, '.', ''); ?></p>
					</div>
				</li>
				<?php endforeach; ?>
			</ul>
			<ul>
				<?php foreach($this->packages_list as $i => $package): ?>
				<li class="package-block" data-name="<?= __('ob4_selected_escort_package_' . $package['id'] . '_name') ?>" 
					data-price="<?= $package['price'] ?>"
					data-crypto-price="<?= $package['crypto_price'] ?>" 
					data-id="<?= $package['id'] ?>" 
					data-duration="<?= $package['period'] ?>"
				>
					<div class="sp-package-info">
						<div class="sp-package-img">
							<span class="sp-package-img-dur">
								<?= __('ob4_select_escort_dur_' . $package['id']) ?>
							</span>
						</div>
						<div class="sp-package-name">
							<?= __('ob4_select_escort_package_' . $package['id'] . '_name') ?>
						</div>
						<div class="sp-package-duriation">
							<?= __('ob4_select_escort_package_' . $package['id'] . '_desc') ?>
						</div>
						<div class="package-overlay"></div>
						<a href="javascript:void(0)" class="package-checkbox"></a>
					</div>
					<div class="sp-package-info-add">
						<p class="price sp-package-price">CHF <?= number_format($package['price'], 2, '.', ''); ?></p>
					</div>
				</li>
				<?php endforeach; ?>
			</ul>
			<input type="hidden" id="selectedPackage" /> <!-- SELECTED PACKAGE DETAILS -->
		</div>
	<?php endif; ?>

	
	<p class="title-escort-list"><?= __('select_escort') ?></p>

	<input type="text" id="searchEscortByName" placeholder="<?= __('search_name')?>"><i class="fa fa-search" aria-hidden="true"></i>

	<span class="sort-by"><?= __('sort_by') ?></span>

	<select class="ordering" id="sorting">
		<option id="alphabetically" class="<?= $this->sort == 'alphabetically' ? 'active' : '' ?>"><?= __('alphabetically') ?></option>
		<option id="id"  class="<?= $this->sort == 'id' ? 'active' : '' ?>"><?= __('sc3_by_escort_id') ?></option>
		<option id="modified"  class="<?= $this->sort == 'modified' ? 'active' : '' ?>"><?= __('sc3_latest_modified') ?></option>
		<option id="newest"  class="<?= $this->sort == 'newest' ? 'active' : '' ?>"><?= __('newest_first') ?></option>
	</select>

	<div class="clear"></div>

	<div class="sep"></div>
	<div class="agency-escorts-list" id="escortsWrapper">
		<div class="escort-list">
			<?php if ( ! count($this->escorts) ): ?>
				<span style="font-size: 14px; font-family: OpenSans-Semibold;"><?= __('no_escorts_found') ?></span>
			<?php endif; ?>

			<?php foreach($this->escorts as $i => $escort): ?>
				<?php if ($this->gotd && !count($escort['escort_packages'])) continue; ?>
				<?php if ($this->votd && (!count($escort['escort_packages']) || !$escort['has_approved_video']) ) continue; ?>
				
				<div class="escort-item <?= count($escort['escort_packages']) ? 'active' : '' ?>
					<?= (count($this->escorts) > 2 * $agency_escorts_perpage) ? (($i >= $agency_escorts_perpage && !$this->gotd && !$this->votd) ? 'hidden' : '') : '' ?>" data-id="<?= $escort['id'] ?>" data-city-id="<?= $escort['city_id'] ?>" data-has-approved-video="<?= $escort['has_approved_video']?>">
					<div class="img">
						<img src="<?= $escort['photo'] ?>" />
						<?php if(count($escort['escort_packages']) > 1 || $this->gotd || $this->votd): ?>
							<div class="gotd-girl-overlay"></div>
						<?php endif; ?>
						<?php if ( !$this->votd && count($escort['escort_packages']) ): ?>
							<div class="add-gotd-btn">
								<?= __('sc3_add_girl_of_the_day') ?>
							</div>
						<?php endif; ?>
						<?php if ( !$this->gotd && count($escort['escort_packages'])  && $escort['has_approved_video']): ?>
							<div class="add-votd-btn">
								<?= __('sc3_add_video_of_the_day') ?>
							</div>
						<?php endif; ?>
						<div class="package-overlay"></div>
						<a href="javascript:void(0)" class="escort-checkbox"></a>
					</div>
					<div class="info-1">
						<span class="showname"><?= $escort['showname'] ?></span>
						<span class="escort-id">Id: #<?= $escort['id'] ?></span>
						<span class="escort-package">
							<?php if(count($escort['escort_packages']) > 0){
								echo $escort['escort_packages'][0]['package_name'];
							} ?>
						</span>
						<input type="hidden" class="cur-escort-packages" value='<?= urlencode(json_encode($escort['escort_packages'])) ?>'>
					</div>
				</div>
			<?php endforeach; ?>
		</div>
		<div class="loader"></div>
		<div class="clear"></div>
		<input type="hidden" id="selectedEscort">
		<input type="hidden" id="inCartEscorts" value>
		<div class="page-wrapper"></div>
	</div>

	<div class="clear"></div>
	<div class="activation-type-block">
		<?php if($this->gotd || $this->votd): ?>
			<div class="gotd-overlay"></div>
		<?php endif; ?>
		<span class="activation-label"><?= __('activation') ?> </span>

		<div class="sp-act-type-button">
			<span class="act-type checked" id="immediateActivation">
				<?= count($this->existing_packages) ? __('sc3_after_current_package_expires') : __('immediately') ?>
			</span>
		</div>

		<div class="sp-act-type-button" style="margin-left: 5px;">
			<span class="act-type spec-date" id="specDateActivation"><?= __('specific_date') ?></span>
		</div>
		<input type="text" name="activation_date" disabled="disabled" id="activationDate"/>
		<input type="hidden" id="selectedDate" /> <!-- ACTIVATION DETAILS -->
		<a class="sp-button" id="addToCart" href="javascript:void(0)"><?= __('add_to_cart')?></a>
		<div class="clear"></div>
	</div>
	<div class="clear"></div>

	<div class="sp-cart-container">
		<table id="spCart">
			<thead>
				<tr>
					<th><?= __('package_type')?></th>
					<th><?= __('for')?></th>
					<th><?= __('starts')?></th>
					<th><?= __('gotd')?></th>
					<th><?= __('votd')?></th>
					<th><?= __('area')?></th>
					<th><?= __('price')?></th>
				</tr>
			</thead>
			<tbody id="spCartBody">
				<tr>
					<td colspan="6">
						<table class="sp-package-table">
							<tbody>
							</tbody>
						</table>
					</td>
				</tr>
			</tbody>
		</table>
	</div>

	<div class="clear"></div>
	<div class="sp-global-total">
		<input type="hidden" id="cartContent" />
		<span class="sp-gt-title"><?= __('total')?> </span>
		<span class="sp-gt-desc">0 CHF</span>
	</div>

	<div id="calOverlay">
		<div id="packageCalendar">
			<div class="calendar-header">
			<a id="calClose" href="javascript:void(0)">&#215;</a>
			<span class="c-arr-btn" id="cBackBtn">&#8592;</span>
			<span class="c-month-year" id="cMonthYear"></span>
			<span class="c-arr-btn" id="cForwardBtn">&#8594;</span>
				<div class="weekdays">
					<span><?= __('obv4_monday')?></span>
					<span><?= __('obv4_tuesday')?></span>
					<span><?= __('obv4_wednesday')?></span>
					<span><?= __('obv4_thursday')?></span>
					<span><?= __('obv4_friday')?></span>
					<span><?= __('obv4_saturday')?></span>
					<span><?= __('obv4_sunday')?></span>
				</div>
			</div>
			<ul class="calendar-body" id="cDays">
				<div class="clear"></div>
			</ul>
			<div class="calendar-footer">
				<span><?= __('time')?></span>
				<label id="c-hour-label"><?= __('hour')?>: <input placeholder="00" type="text" id="cHour" value="00" /></label>
				<label id="c-minutes-label"><?= __('minutes')?> <input placeholder="00" type="text" id="cMinutes" value="00" /></label>
				<a href="javascript:void(0)" id="cAddAction" class="inactive" data-action="create"><?= __('add') ?></a>
				<input type="hidden" id="packageStartDate" />
				<input type="hidden" id="packageStartHour" />
				<input type="hidden" id="packageStartMinute" />
				<div class="clear"></div>
			</div>
		</div>
		<div id="gotdCalendar">
			<div class="area-selector">
				<span><?= __('select_area')?></span>
				<select id="gotdAreas">
				</select>
			</div>
			<div class="calendar-header">
				<a id="gCalCloseBtn" href="javascript:void(0)">&#215;</a>
				<span class="c-arr-btn" id="gCalBackBtn">&#8592;</span>
				<span class="c-month-year" id="gCalMonthYear"></span>
				<span class="c-arr-btn" id="gCalForwardBtn">&#8594;</span>
					<div class="weekdays">
						<span><?= __('obv4_monday')?></span>
						<span><?= __('obv4_tuesday')?></span>
						<span><?= __('obv4_wednesday')?></span>
						<span><?= __('obv4_thursday')?></span>
						<span><?= __('obv4_friday')?></span>
						<span><?= __('obv4_saturday')?></span>
						<span><?= __('obv4_sunday')?></span>
					</div>
			</div>
			<ul class="calendar-body" id="gCalDays">
			</ul>
			<div class="calendar-footer">
				<span id="gotdTotalPrice"><?= __('total')?></span>
				<a href="javascript:void(0)" id="gCalAddBtn" class="inactive"><?= __('add')?></a>
				<input type="hidden" id="gotdSelectedDates" />
				<div class="clear"></div>
			</div>
		</div>
		<div id="votdCalendar">
			<div class="area-selector">
				<span><?= __('select_area')?></span>
				<select id="votdAreas">
				</select>
			</div>
			<div class="calendar-header">
				<a id="vCalCloseBtn" href="javascript:void(0)">&#215;</a>
				<span class="c-arr-btn" id="vCalBackBtn">&#8592;</span>
				<span class="c-month-year" id="vCalMonthYear"></span>
				<span class="c-arr-btn" id="vCalForwardBtn">&#8594;</span>
					<div class="weekdays">
						<span><?= __('obv4_monday')?></span>
						<span><?= __('obv4_tuesday')?></span>
						<span><?= __('obv4_wednesday')?></span>
						<span><?= __('obv4_thursday')?></span>
						<span><?= __('obv4_friday')?></span>
						<span><?= __('obv4_saturday')?></span>
						<span><?= __('obv4_sunday')?></span>
					</div>
			</div>
			<ul class="calendar-body" id="vCalDays">
			</ul>
			<div class="calendar-footer">
				<span id="votdTotalPrice"><?= __('total')?></span>
				<a href="javascript:void(0)" id="vCalAddBtn" class="inactive"><?= __('add')?></a>
				<input type="hidden" id="votdSelectedDates" />
				<div class="clear"></div>
			</div>
		</div>
		<div id="areaSelector">
				<a id="areaSelCloseBtn" href="javascript:void(0)">&#215;</a>
				<div class="area-selector">
					<span><?= __('additional_areas')?></span>
					<select id="areas">
					</select>
					<a href="javascript:void(0)" id="aSellAddBtn" class="inactive"><?= __('add')?></a>
				</div>
		</div>
	</div>

<div class="clear"></div>
<!-- <?php if ($this->alternative_gateway) : ?>
<p style="margin-top: 20px"><?= __('try_new_payment_system') ?></p>
<?php endif; ?>
<div class="clear"></div>
 -->
<div class="payment-type-block">
                       
					
	<div class="payment_methods-container">
		<div class="">
			<span class="payment-label main-payment-label"><?= __('payment_methods') ?>:</span>
		</div>

		<div class="payment-column"><p class="payment-column-title"><?= __('payment_method_twispay')  ?></p>
			<?if (in_array('pf',$this->activ_payments)):?>
		<div class="sp-paym-type-button cc">
			<span class="paym-type checked  creditCartOpt" data-id="postfinance"  style="text-transform: none;"><img class="payment-type-icon" src="/img/postfinance.png">PostFinance/POSTCARD</span>
		</div>
	<?endif;?>

	<?if (in_array('twp',$this->activ_payments) || $this->user->id == 48322):?>
	    <div class="sp-paym-type-button cc">
	        <span class="paym-type creditCartOpt" data-id="twispay">
	            <!-- 	<img class="payment-type-icon" src="/img/cred-card.png"> -->
	            <?//= __('credit_card') ?>
				<p>Twispay</p>   
				<p>- Mastercard</p>  
				<p>- Visa</p>
	        </span>
	    </div>
	<?endif;?>

	<?//if (in_array('faxin',$this->activ_payments) || $this->user->id == 48322 ):?>
	<?if (($this->gotd || $this->votd) && false):?>

	    <div class="sp-paym-type-button cc" >
	        <span class="paym-type creditCartOpt" data-id="faxin">
	        	<!-- <img class="payment-type-icon" src="/img/cred-card.png"> -->
	        	<?//= __('faxin_button') ?>
	        	<p>faXin</p>   
				<p>- Mastercard</p>  
				<p>- Visa</p>
	        </span>
	    </div>
	<?endif;?>


	<?if (in_array('coin',$this->activ_payments) && $this->user->id == 48323):?>
		<div class="sp-paym-type-button" >
			<span class="paym-type  creditCartOpt" data-id="coinpass"  style="text-transform: none;">
				<img class="payment-type-icon" src="/img/postfinance.png">Bitcoin</span>
		</div>
	<?endif;?>

	<?if (in_array('psf',$this->activ_payments) || $this->user->id == 48322):?>
		<div class="sp-paym-type-button cc">
			<span class="paym-type creditCartOpt" data-id="2000charge">
				<!-- <img class="payment-type-icon" src="/img/cred-card.png"> -->
			<p>	Paysafe card</p>   
			<p>- Mastercard</p>  
			<p>- Visa</p>
		</span>
		</div>
	<?endif;?>
		</div>
		<div class="payment-column"><p class="payment-column-title"><?= __('by_phone')  ?></p>
			<?if (in_array('tel',$this->activ_payments)):?>
				<div class="sp-paym-type-button cc" style="min-width: 210px;">
					<span class="paym-type" id="phoneOpt" data-id="phone">
						<!-- <img class="payment-type-icon-phone" src="/img/phone-icon.png"> -->
						<?//= __('by_phone') ?>
						<p>- Prepaid: Swisscom</p>   
						<p>- <?= __('alle_anbieter') ?></p>
					</span>
				</div>
			<?endif;?>
		</div>
		<div class="payment-column">
			<p class="payment-column-title"><?= __('others') ?></p>
			<?if (in_array('twint',$this->activ_payments) || $this->user->id == 48322 ):?>
			    <div class="sp-paym-type-button cc" >
			        <span class="paym-type creditCartOpt" data-id="faxin">
			        	<!-- <img class="payment-type-icon" src="/img/cred-card.png"> -->
			        	<?//= __('faxin_button') ?>
			        	<p>- Twint</p>   
						
			        </span>
			    </div>
			<?endif;?>
		</div>

      
	</div>


	
</div>
<div id="payment-checkout-block" class="payment-checkout-block" style="display: none">
	<label for="yold_18" id="18-yold-label" style="cursor: pointer; width: fit-content;width: max-content;margin-left: 156px;">
       <input type="checkbox" id="yold_18" name="yold_18" style="margin-right: 6px;"><?= __('18_yold_confirmation')?>
   	</label>
	<input type="hidden" id="cartContent" />
	<a class="sp-button" id="spCheckout" href="javascript:void(0)"><?= __('checkout')?></a>
	
</div>
</div>
	<?php if ( $this->user->isAgency() && $this->cart && count($this->cart) ): ?>
			<a class="pink-button go-to-cart-btn" href="<?= $this->getLink('online-billing-v3-payment') ?>">
			<?= __('sc3_go_to_cart') ?></a>
		<?php endif; ?>

		<div class="clear"></div>
	</div>
</div>
<div style="padding: 10px" class="p10"><?= __('self_check_address') ?></div>
<div id="formPlaceholder" style="display: none"></div>

<script type="text/javascript">
window.addEvent('domready', function() {
	// Cubix.OnlineBillingV3.initEscortSelect();
	Cubix.OnlineBillingV4.Packages.init();
	Cubix.OnlineBillingV4.Agency.init();
	Cubix.OnlineBillingV4.Cart.init();
	Cubix.OnlineBillingV4.PackageCalendar.init();
	Cubix.OnlineBillingV4.GotdCalendar.init();
	Cubix.OnlineBillingV4.VotdCalendar.init();
	Cubix.OnlineBillingV4.AreaSelector.init();
	Cubix.OnlineBillingV4.Payments.init();
	Cubix.OnlineBillingV4.LiveSearch.init();
	Cubix.OnlineBillingV4.Checkout.init();
	Cubix.OnlineBillingV4.EscortsPaging.init();

	if (typeof CurrentPackage != 'undefined'){
		Cubix.OnlineBillingV4.CurrentPackage.init();
	}
});
</script>
